#!/usr/local/bin/perl

# Build the tree of incoming messages, including the headers file for each one.
# The dirs go into the var/incoming dir, with the header files in there too.

my($rm) = '/bin/rm';

sub BuildInDirs {
  my($IncomingDir, @MessageIds) = @_;
  my($id);

  chdir $IncomingDir or Log::DieLog("Cannot chdir to $IncomingDir, %m");
  foreach $id (@MessageIds) {
    mkdir $id, 0700 or Log::DieLog("Cannot mkdir $IncomingDir / $id, %m");
  }
  Log::InfoLog('Going to scan ' . scalar(@MessageIds) . ' messages');
}

# Clean up the whole of my work area
sub ClearWorkArea {
  my($Dir) = @_;
  my($f);
  local(*WORKDIR);

  Log::InfoLog("Clearing temporary work area.");

  chdir $Dir or Log::DieLog("Cannot chdir to work area $Dir, %m");

  # Clean up the whole thing
  opendir(WORKDIR, ".") or Log::DieLog("Cannot read work are $Dir, %m");
  while($f = readdir WORKDIR) {
    next if $f =~ /^\./;
    unlink $f if $f =~ /\.header$/;
    system("$rm -rf $f") if -d $f;
  }
  closedir WORKDIR;
}

1;
