#!/usr/local/bin/perl

# Read the configuration file and set globals accordingly.

use strict;

# Default values
$main::Debugging     = 1;
$main::MaxMessagesPerRun = 50; # Max 50 messages per run
$main::MaxBytesPerRun    = 50000*1024; # Max 50MBytes of message data per run
$main::InQueueDir    = '/var/spool/mqueue.in';
$main::OutQueueDir   = '/var/spool/mqueue';
$main::PidFile       = '/opt/virus/var/virus.pid';
$main::SrcDir        = '/opt/virus/var/incoming';
$main::DestDir       = '/opt/virus/var/outgoing';
$main::QuarantineDir = '/opt/virus/var/quarantine';
my $DefaultConfig = '/opt/virus/etc/virus.conf';
$main::Sendmail      = '/usr/lib/sendmail';

sub ReadConfig {
  my($Config) = @_;
  my($key, $value);
  local(*CONF);

  $Config = $DefaultConfig unless defined $Config;

  open(CONF, $Config)
    or Log::DieLog("Could not open config file $Config, %m");
  while(<CONF>) {
    chomp;
    s/^#\s*//;
    s/^\s*//g;
    s/\s*$//g;
    next if /^$/;
    ($key, $value) = split(/\s*=\s*/, $_, 2);
    $value = lc($value);
    $main::Sendmail = $value if $key =~ /^sendmail/;
    $main::QuarantineDir = $value if $key =~ /^quarantine/;
    $main::DestDir = $value if $key =~ /^outgoingwork/;
    $main::SrcDir = $value if $key =~ /^incomingwork/;
    $main::PidFile = $value if $key =~ /^pid/;
    $main::OutQueueDir = $value if $key =~ /^outgoingq/;
    $main::InQueueDir = $value if $key =~ /^incomingq/;
    $main::MaxBytesPerRun = $value if $key =~ /^maxbytes/;
    $main::MaxMessagesPerRun = $value if $key =~ /^maxmess/;
    $main::Debugging = $value if $key =~ /^debug/;
  }
  close CONF;
}


1;